
# si le module mod-rewrite est activé
<IfModule mod_rewrite.c>
    # init du moteur
    RewriteEngine On
    # url de départ de l'api
    RewriteBase /
    # si ce n'est pas index.php
    RewriteRule ^index\.php$ - [L]
    # si le fichier existe pas
    RewriteCond %{REQUEST_FILENAME} !-f
    # si le dossier existe pas
    RewriteCond %{REQUEST_FILENAME} !-d
    # je renvoie vers l'index de lapi
    RewriteRule . /api/index.php [L]
</IfModule>